1. Crypto Withdrawal
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog 20260408
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
          POST
        • Remove Wallet Address
          POST
        • Create Crypto Withdrawal
          POST
        • Get Wallet Address
          GET
        • Get Crypto Withdrawal
          GET
        • Get Crypto Withdrawal History
          GET
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Crypto Withdrawal

Register Wallet Address

POST
/v2.0/payment/crypto/registerWalletAddress
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
Register Wallet Address

Request

Authorization
Body Params application/json

Example
{
    "participantCode": "B0100106",
    "label": "Ethereum Main Wallet",
    "description": "Primary ETH wallet for trading and deposits",
    "blockchain": "ETH",
    "walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb5",
    "isOwner": true,
    "walletType": 1,
    "platformName": "MetaMask",
    "platformUserId": "user_metamask_12345",
    "ownerInfo": {
        "ownerType": 2,
        "details": {
            "corporateName": "TechGlobal Inc.",
            "businessRegistrationNumber": "REG987654321",
            "dateOfIncorporation": "2015-03-10",
            "registeredOrBusinessAddress": {
                "country": "US",
                "state": "New Hampshire",
                "city": "Manchester",
                "postcode": "03101",
                "addressLine1": "1000 Elm Street",
                "addressLine2": "Suite 300"
            }
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2.0/payment/crypto/registerWalletAddress' \
--header 'Content-Type: application/json' \
--data-raw '{
    "participantCode": "B0100106",
    "label": "Ethereum Main Wallet",
    "description": "Primary ETH wallet for trading and deposits",
    "blockchain": "ETH",
    "walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb5",
    "isOwner": true,
    "walletType": 1,
    "platformName": "MetaMask",
    "platformUserId": "user_metamask_12345",
    "ownerInfo": {
        "ownerType": 2,
        "details": {
            "corporateName": "TechGlobal Inc.",
            "businessRegistrationNumber": "REG987654321",
            "dateOfIncorporation": "2015-03-10",
            "registeredOrBusinessAddress": {
                "country": "US",
                "state": "New Hampshire",
                "city": "Manchester",
                "postcode": "03101",
                "addressLine1": "1000 Elm Street",
                "addressLine2": "Suite 300"
            }
        }
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "label": "Ethereum Deposit Wallet",
        "description": "External ETH wallet for receiving deposits",
        "blockchain": "ETH",
        "walletAddress": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
        "isOwner": false,
        "walletType": 2,
        "platformName": "Binance",
        "platformUserId": "user_binance_12345",
        "ownerInfo": {
            "ownerType": 1,
            "details": {
                "name": "John Smith",
                "DOB": "1980-05-15",
                "identityNumber": "ID123456789",
                "residentialAddress": {
                    "country": "US",
                    "state": "Ohio",
                    "city": "Columbus",
                    "postcode": "43215",
                    "addressLine1": "123 High Street",
                    "addressLine2": "Apt 4B"
                }
            }
        }
    }
}
Modified at 2026-04-15 03:56:48
Previous
Crypto Deposit Webhook
Next
Remove Wallet Address
Built with